﻿namespace U2UConsult.Win8.DynamicXaml
{
    using Windows.UI;
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;
    using Windows.UI.Xaml.Media;

    public class BeerStyleSelector : StyleSelector
    {
        protected override Style SelectStyleCore(object item, DependencyObject container)
        {
            Beer beer = item as Beer;

            // Default Style
            if (!(beer.Category.Contains("Belgian") || beer.Category.Contains("Flemish")))
            {
                return null;
            }

            // Custom Style
            Style style = new Style(typeof(ListViewItem));
            style.Setters.Add(new Setter(ListViewItem.BorderBrushProperty, new SolidColorBrush(Colors.Gold)));
            style.Setters.Add(new Setter(ListViewItem.BorderThicknessProperty, new Thickness(2.0)));
            return style;
        }
    }
}
