﻿namespace U2UConsult.Win8.DynamicXaml
{
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;
    using Windows.UI.Xaml.Markup;

    public class BeerTemplateSelector : DataTemplateSelector
    {
        public DataTemplate DefaultTemplate { get; set; }

        protected override DataTemplate SelectTemplateCore(object item, DependencyObject container)
        {
            Beer beer = item as Beer;

            // Default Template
            if (!(beer.Category.Contains("Belgian") || beer.Category.Contains("Flemish")))
            {
                return this.DefaultTemplate;
            }

            // Custom Template
            BeerColorConverter converter = new BeerColorConverter();
            string backGroundColor = converter.Convert((item as Beer).Color, null, null, null).ToString();

            string template = @"
                <DataTemplate xmlns='http://schemas.microsoft.com/winfx/2006/xaml/presentation'>
                    <Grid Background='" + backGroundColor + @"' Width='160' Height='160' Margin='4'>
                        <StackPanel>        
                            <TextBlock Text='{Binding Name}' FontWeight='SemiBold' FontSize='18' Margin='4' Foreground='White' HorizontalAlignment='Center' />
                            <TextBlock Text='{Binding Category}' Margin='2' FontSize='18' Foreground='White' HorizontalAlignment='Center' />
                        </StackPanel>
                            <Image Source='../Assets/belgianFlag.png' Margin='4' HorizontalAlignment='Right' Stretch='None' VerticalAlignment='Bottom' />
                    </Grid>
                </DataTemplate>";
            return XamlReader.Load(template) as DataTemplate;
        }
    }
}
